Subject: [xml2rfc] #364 (Version_3_cli_txt): <br> are not ignored in definition lists

From: "xml2rfc issue tracker" <[email-masked]>
Date: Sat, 25 Aug 2018 10:40:04 -0000

#364: <br> are not ignored in definition lists

 The br is just ouputted as-is (I'm aware the dtd does not allow it):

 {{{
 <dl>
 <dt>kex algorithms</dt>
 <dd><t>ecdh-sha2-nistp256            <xref target="RFC5656"></xref> <br />
 ecdh-sha2-nistp384            <xref target="RFC5656"></xref>
 server host key algorithms</t>
 </dd>
 <dd><t>x509v3-ecdsa-sha2-nistp256    <xref target="RFC6187"></xref> <br />
 x509v3-ecdsa-sha2-nistp384    <xref target="RFC6187"></xref> <br />
 encryption algorithms (both client_to_server and server_to_client)</t>
 </dd>
 <dd><t>AEAD<em>AES</em>128<em>GCM              <xref
 target="RFC5647"></xref> <br />
 AEAD</em>AES<em>256</em>GCM              <xref target="RFC5647"></xref>
 <br />
 MAC algorithms (both client_to_server and server_to_client)</t>
 </dd>
 <dd><t>AEAD<em>AES</em>128<em>GCM              <xref
 target="RFC5647"></xref> <br />
 AEAD</em>AES<em>256</em>GCM              <xref target="RFC5647"></xref>
 <br />
 </t>
 </dd>
 </dl>
 }}}
 yields:
 {{{
    kex algorithms
       ecdh-sha2-nistp256 [RFC5656] <br>: ecdh-sha2-nistp384 [RFC5656]
       server host key algorithms
       x509v3-ecdsa-sha2-nistp256 [RFC6187] <br>: x509v3-ecdsa-
       sha2-nistp384 [RFC6187] <br>: encryption algorithms (both
       client_to_server and server_to_client)
       AEAD_AES_128_GCM [RFC5647] <br>: AEAD_AES_256_GCM [RFC5647] <br>:
       MAC algorithms (both client_to_server and server_to_client)
       AEAD_AES_128_GCM [RFC5647] <br>: AEAD_AES_256_GCM [RFC5647] <br>:

 }}}

-- 
-------------------------------+-------------------
 Reporter:  [email-masked]       |      Owner:
     Type:  defect             |     Status:  new
 Priority:  medium             |  Milestone:
Component:  Version_3_cli_txt  |    Version:  2.4.x
 Keywords:                     |
-------------------------------+-------------------

Ticket URL: <https://trac.tools.ietf.org/tools/xml2rfc/trac/ticket/364>
xml2rfc <http://tools.ietf.org/tools/xml2rfc/>